package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Table(name = "purc$tenderprod")
@Entity
public class B2BPurchaseTenderProdSimpleInfo {

	@Id
	@Column(name = "tp_id")
	private Long id;

	/**
	 * 品牌
	 */
	@Column(name = "tp_brand")
	private String brand;

	/**
	 * 物料名称
	 */
	@Column(name = "tp_prodtitle")
	private String prodTitle;

	/**
	 * 物料型号
	 */
	@Column(name = "tp_prodcode")
	private String prodCode;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getProdTitle() {
		return prodTitle;
	}

	public void setProdTitle(String prodTitle) {
		this.prodTitle = prodTitle;
	}

	public String getProdCode() {
		return prodCode;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	@Override
	public String toString() {
		return "B2BPurchaseTenderProdSimpleInfo [id=" + id + ", brand=" + brand + ", prodTitle=" + prodTitle
				+ ", prodCode=" + prodCode + "]";
	}

}
